50018Transaction not found
Trigger: The transaction does not exist or does not belong to the merchant identified by merchantNo.
Example
{
"respCode": "50018",
"respMsg": "Non-existent order!",
"data": null
}merchantNoreplace_with_merchant_notransactionIdexample_transaction_idtransactionId again automatically replaces the existing logistics information with the information in the new request.carrierNoSFtrackingNoSF1234567890signcurl -X POST 'https://sandbox-acq.onerway.com/v1/txn/uploadLogisticsInfo' \
-H 'Content-Type: application/json' \
--data-raw '{
"carrierNo": "SF",
"merchantNo": "replace_with_merchant_no",
"sign": "{{SIGN}}",
"trackingNo": "SF1234567890",
"transactionId": "example_transaction_id"
}'respCode20000 means the upload request was processed successfully, other values are error codes. See Response codes.respMsgdataexample_transaction_iddata is the transaction ID string itself, not a nested object.Example code is unavailable.
50018Transaction not found
Trigger: The transaction does not exist or does not belong to the merchant identified by merchantNo.
Example
{
"respCode": "50018",
"respMsg": "Non-existent order!",
"data": null
}50204Invalid transaction status
Trigger: The transaction has not completed successfully. This includes transactions that are still processing or have failed.
Example
{
"respCode": "50204",
"respMsg": "Wrong order status!",
"data": null
}50000System error
Trigger: A system error occurs while saving the logistics information.
Example
{
"respCode": "50000",
"respMsg": "System error",
"data": null
}